/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.tmx.valueobject;

import java.util.List;

/**
 * LISA TMX の body要素をあらわすバリューオブジェクト。
 */
public class BlancoTmxBody {
    /**
     * フィールド [tuList]
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * tuのリスト。
     */
    private List fTuList = new java.util.ArrayList();

    /**
     * フィールド [tuList]のセッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * tuのリスト。
     *
     * @param argTuList フィールド[tuList]に格納したい値
     */
    public void setTuList(final List argTuList) {
        fTuList = argTuList;
    }

    /**
     * フィールド[tuList]のゲッターメソッド
     *
     * 項目の型 [java.util.List]<br>
     * 規定値   [new java.util.ArrayList()]<br>
     * tuのリスト。
     *
     * @return フィールド[tuList]に格納されている値
     */
    public List getTuList() {
        return fTuList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.tmx.valueobject.BlancoTmxBody[");
        buf.append("tuList=" + fTuList);
        buf.append("]");
        return buf.toString();
    }
}
